#!/bin/bash

# JAVA HOME IS NOT SET
Jav_err() {
	echo JAVA_HOME VARIABLE MUST BE SET
	echo ---------------------------------------------
  	echo EXAMPLES:
	echo Sun Microsystem...... /j2sdk1.4.1_02 
	echo Oracle .............. \$ORACLE_HOME/jdk
	echo DB2 ................. \$DB2HOME/SQLLIB/java/java12/jdk
	echo ---------------------------------------------
   exit
}

# MAKE THE EAR FILE
make_ear() {
	chmod 665 $WAR_DIR/WEB-INF/classes/com/systemcorp/servutil/jdbc/ConnectionPool.ini
	chmod 665 $WAR_DIR/WEB-INF/classes/com/systemcorp/pmo/servlets/ConnectionManager.ini
	chmod 665 $WAR_DIR/clients.html
	chmod 665 $WAR_DIR/client_installer/*.exe
	chmod 665 $WAR_DIR/client_installer/*.msi
	
	cp com.systemcorp.pmo.auth.AuthListener.properties $WAR_DIR/WEB-INF/classes
	cp com.systemcorp.pmo.auth.jndi.JNDIController.properties $WAR_DIR/WEB-INF/classes
	cp com.systemcorp.pmo.SPListener.properties $WAR_DIR/WEB-INF/classes
	cp ConnectionManager.ini $WAR_DIR/WEB-INF/classes/com/systemcorp/pmo/servlets/ConnectionManager.ini
	cp ConnectionPool.ini $WAR_DIR/WEB-INF/classes/com/systemcorp/servutil/jdbc/ConnectionPool.ini
	cp clients.html $WAR_DIR
	cp PMOfficeInstallPlugin.exe $WAR_DIR/client_installer/
	cp PMOfficeInstallPlugin.msi $WAR_DIR/client_installer/
	cp PMOfficeInstallStandalone.exe $WAR_DIR/client_installer/
	cp PMOfficeInstallStandalone.msi $WAR_DIR/client_installer/
	cp InstallIBMRPMPlgin.exe $WAR_DIR/client_installer/
	cp InstallIBMRPMPlgin.msi $WAR_DIR/client_installer/
	cp InstallIBMRPMStdln.exe $WAR_DIR/client_installer/
	cp InstallIBMRPMStdln.msi $WAR_DIR/client_installer/
	
	cp msjavx86.exe $WAR_DIR/msjava_installer/
	
	echo MAKING $EAR_FILE.war FILE
	cd $WAR_DIR
	$JAVA_HOME/bin/jar cf $EAR_FILE.war *
	mv $WAR_DIR/$EAR_FILE.war $EAR_DIR
	
	echo MAKING $EAR_FILE.ear FILE
	cd $EAR_DIR
	$JAVA_HOME/bin/jar cf $EAR_FILE.ear *
	
	echo REMOVING THE $EAR_FILE.war FILE FROM THE $EAR_DIR DIRECTORY 
	rm -r $EAR_DIR/$EAR_FILE.war
	mv $EAR_DIR/$EAR_FILE.ear $CUR_DIR
	echo YOU WILL FIND THE $EAR_FILE.ear ON $CUR_DIR
	cd $CUR_DIR
}

# CREATE BACKUP OF EAR FILE
bkp() {
	if [ ! -d bkp ]; then
		mkdir bkp
	fi
	
	if [ -f ./bkp/$EAR_FILE.ear.bak5 ]; then
		echo DELETING ./bkp/$EAR_FILE.ear.bak5
		rm -r ./bkp/$EAR_FILE.ear.bak5
	fi
		
	for ((x=4; x != 0; --x))
	do
		if [ -f ./bkp/$EAR_FILE.ear.bak$x ]; then
			y=`expr $x + 1`
			echo MOVING ./bkp/$EAR_FILE.ear.bak$x TO ./bkp/$EAR_FILE.ear.bak$y
			mv ./bkp/$EAR_FILE.ear.bak$x ./bkp/$EAR_FILE.ear.bak$y
		fi
	done
	
	echo MOVING ./$EAR_FILE.ear TO ./bkp/$EAR_FILE.ear.bak1
	mv ./$EAR_FILE.ear ./bkp/$EAR_FILE.ear.bak1
}

# TEST EAR FILE NAME
name_file() {

	if [ "$TEST" = "" ];
	then EAR_FILE=IBMRPM60
	else EAR_FILE=$TEST
	fi
	
	if [ -f $EAR_FILE.ear ]; then
		bkp
	fi
}

main () {
	if [ "$JAVA_HOME" = "" ]; then
	  Jav_err
	fi
	
	PATH=$JAVA_HOME:$PATH
	CUR_DIR=$PWD
	WAR_DIR=$CUR_DIR/war
    EAR_DIR=$CUR_DIR/ear
	
	name_file
	make_ear
	
	exit	
}

export TEST=$1
main




